package DeWeave::BO::Bookmark::Bookmark;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Str ArrayRef Bool);

extends 'DeWeave::BO::Bookmark::Base';

has title => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has bmkUri => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has description => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has loadInSidebar => (
    isa => Bool,
    required => 1,
    is => 'ro',
);

has tags => (
    isa => ArrayRef[Str],
    required => 0,
    is => 'ro',
);

has keyword => (
    isa => Str,
    required => 0,
    is => 'ro',
);

1;

__END__

=head1 AUTHOR

Gianni Ceccarelli <dakkar@thenautilus.net>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2012 by Gianni Ceccarelli.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, version 3.

=cut
