package DeWeave::BO::Password;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Str);

extends 'DeWeave::EDO';

has hostname => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has formSubmitURL => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has httpRealm => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has username => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has password => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has usernameField => (
    isa => Str,
    required => 0,
    is => 'ro',
);

has passwordField => (
    isa => Str,
    required => 0,
    is => 'ro',
);

1;

__END__

=head1 AUTHOR

Gianni Ceccarelli <dakkar@thenautilus.net>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2012 by Gianni Ceccarelli.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, version 3.

=cut
